1. Orders
OrderMesh
  • Introduction to our API
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Merchant Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
        POST
      • Search for orders based on various criteria and filters.
        GET
      • Create multiple orders
        POST
      • Retrieve multiple orders
        GET
      • Update multiple orders
        PATCH
      • Retrieve a list of orders
        GET
      • Retrieve an order by Order ID.
        GET
      • Update order data.
        PATCH
      • Retrieve an order by Safe ID
        GET
      • Retrieve order item by Order Item ID
        GET
      • Update an item within an order.
        PATCH
      • Cancel Order or order items
        POST
      • Change the order status to Customer Care Hold
        POST
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order item.
        GET
      • Add a Refund Request.
        POST
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
    • MerchantVariants
      • Add new variants to a merchant catalog
      • Update a merchant catalog variants
      • Update a merchant catalog by removing variants
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  1. Orders

Create multiple orders

POST
/v1/orders/bulk
This endpoint enables you to create multiple orders in a single request.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params
application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ordermesh.io/order/v1/orders/bulk' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "bulk": [
        {
            "safeId": null,
            "merchantId": "b234ee56-7890-4f12-a123-4567890abcde",
            "shippingAddress": {
                "firstName": "John",
                "lastName": "Doe",
                "line1": "123 Main St",
                "line2": "Apt 4B",
                "line3": null,
                "city": "Anytown",
                "state": "CA",
                "zip": "90210",
                "countryCode": "US",
                "phone": "555-1234",
                "email": "john.doe@example.com"
            },
            "billingAddress": {
                "firstName": "Jane",
                "lastName": "Smith",
                "line1": "456 Oak St",
                "line2": "",
                "line3": null,
                "city": "Othertown",
                "state": "NY",
                "zip": "10001",
                "countryCode": "US",
                "phone": "555-5678",
                "email": "jane.smith@example.com"
            },
            "returnAddress": {
                "firstName": "James",
                "lastName": "Brown",
                "line1": "789 Elm St",
                "line2": "Suite 101",
                "line3": null,
                "city": "New City",
                "state": "TX",
                "zip": "73301",
                "countryCode": "US",
                "phone": "555-9876",
                "email": "james.brown@example.com"
            },
            "externalId": "ORDER123456",
            "languageCode": "EN",
            "isTest": true,
            "isSample": true,
            "client": {
                "source": "Webstore",
                "details": "Chrome browser on Windows",
                "version": "1.0",
                "ip": "192.168.1.1"
            },
            "meta": {
                "customerNote": "Please deliver between 9 AM and 5 PM.",
                "giftWrap": "true",
                "promoCode": "SUMMER2024"
            },
            "currencyCode": "USD",
            "customerShippingMethod": "Expedited",
            "customerTotal": 200.5,
            "customerItemTotal": null,
            "customerTotalShipping": 15,
            "customerTotalTaxes": 10,
            "customerTotalDiscountAndPromotions": 5.5,
            "customerPaymentMethods": [
                {
                    "method": "CreditCard",
                    "subMethod": "Visa",
                    "cardFirst4": "4111",
                    "cardLast4": "1111",
                    "billingInfo": {
                        "fullName": "John Doe",
                        "address": {
                            "location": {
                                "longitude": -118.243683,
                                "latitude": 34.052235
                            },
                            "firstName": "John",
                            "lastName": "Doe",
                            "line1": "123 Main St",
                            "line2": "Apt 4B",
                            "line3": null,
                            "city": "Anytown",
                            "state": "CA",
                            "zip": "90210",
                            "countryCode": "US",
                            "phone": "555-1234",
                            "email": "john.doe@example.com"
                        }
                    },
                    "customerTransactions": [
                        {
                            "total": 200.5,
                            "currencyCode": "USD",
                            "transactionDate": "2024-07-16",
                            "transactionId": "TX12345678",
                            "authorizationCode": "AUTH7890"
                        }
                    ]
                }
            ],
            "items": [
                {
                    "sku": "Accent_Mug-11oz-Blue",
                    "quantity": 2,
                    "images": [
                        {
                            "url": "https://example.com/mug-front.jpg",
                            "thumbnailUrl": "https://example.com/mug-thumbnail.jpg",
                            "area": "Default",
                            "printMethod": null,
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        }
                    ],
                    "options": [
                        {
                            "name": "Size",
                            "value": "11 oz"
                        }
                    ],
                    "customerSubtotal": 20,
                    "customerPrice": 10,
                    "customerShippingPrice": 5,
                    "customerTaxes": 3,
                    "customerDiscountsOrPromotions": 1.5,
                    "clientAttributes": {
                        "occasion": "Birthday gift",
                        "urgency": "high"
                    },
                    "meta": {
                        "designId": "D123456"
                    },
                    "isSample": true,
                    "externalId": "PROD7890123",
                    "skipImgManip": false,
                    "skipSkuValidation": false,
                    "skipImageValidation": false,
                    "fulfillmentReady": false
                },
                {
                    "sku": "bella-3001cvc-solid_red_blend-s",
                    "quantity": 2,
                    "images": [
                        {
                            "url": "https://example.com/t-shirt-front.jpg",
                            "thumbnailUrl": "https://example.com/t-shirt-front-thumbnail.jpg",
                            "area": "Front",
                            "printMethod": "DirectToGarment",
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        },
                        {
                            "url": "https://example.com/t-shirt-back.jpg",
                            "thumbnailUrl": "https://example.com/t-shirt-back-thumbnail.jpg",
                            "area": "Back",
                            "printMethod": "DirectToGarment",
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        },
                        {
                            "url": "https://example.com/t-shirt-label.jpg",
                            "thumbnailUrl": "https://example.com/t-shirt-label-thumbnail.jpg",
                            "area": "Neck Label",
                            "printMethod": "HeatPressNecktags",
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        }
                    ],
                    "options": [
                        {
                            "name": "Size",
                            "value": "Small"
                        },
                        {
                            "name": "Color",
                            "value": "Red"
                        }
                    ],
                    "customerSubtotal": 40,
                    "customerPrice": 20,
                    "customerShippingPrice": 5,
                    "customerTaxes": 3,
                    "customerDiscountsOrPromotions": 1.5,
                    "clientAttributes": {
                        "occasion": "Birthday gift",
                        "urgency": "high"
                    },
                    "meta": {
                        "designId": "D78910"
                    },
                    "isSample": true,
                    "externalId": "PROD0090127",
                    "skipImgManip": false,
                    "skipSkuValidation": false,
                    "skipImageValidation": false,
                    "fulfillmentReady": false
                }
            ],
            "allowExternalOrderIdDuplication": false,
            "reprint": null,
            "insert": null,
            "automaticProcessing": true
        },
        {
            "safeId": null,
            "merchantId": "b234ee56-7890-4f12-a123-4567890abcde",
            "shippingAddress": {
                "firstName": "John",
                "lastName": "Doe",
                "line1": "123 Main St",
                "line2": "Apt 4B",
                "line3": null,
                "city": "Anytown",
                "state": "CA",
                "zip": "90210",
                "countryCode": "US",
                "phone": "555-1234",
                "email": "john.doe@example.com"
            },
            "billingAddress": {
                "firstName": "Jane",
                "lastName": "Smith",
                "line1": "456 Oak St",
                "line2": "",
                "line3": null,
                "city": "Othertown",
                "state": "NY",
                "zip": "10001",
                "countryCode": "US",
                "phone": "555-5678",
                "email": "jane.smith@example.com"
            },
            "returnAddress": {
                "firstName": "James",
                "lastName": "Brown",
                "line1": "789 Elm St",
                "line2": "Suite 101",
                "line3": null,
                "city": "New City",
                "state": "TX",
                "zip": "73301",
                "countryCode": "US",
                "phone": "555-9876",
                "email": "james.brown@example.com"
            },
            "externalId": "ORDER123456",
            "languageCode": "EN",
            "isTest": true,
            "isSample": true,
            "client": {
                "source": "Webstore",
                "details": "Chrome browser on Windows",
                "version": "1.0",
                "ip": "192.168.1.1"
            },
            "meta": {
                "customerNote": "Please deliver between 9 AM and 5 PM.",
                "giftWrap": "true",
                "promoCode": "SUMMER2024"
            },
            "currencyCode": "USD",
            "customerShippingMethod": "Expedited",
            "customerTotal": 200.5,
            "customerItemTotal": null,
            "customerTotalShipping": 15,
            "customerTotalTaxes": 10,
            "customerTotalDiscountAndPromotions": 5.5,
            "customerPaymentMethods": [
                {
                    "method": "CreditCard",
                    "subMethod": "Visa",
                    "cardFirst4": "4111",
                    "cardLast4": "1111",
                    "billingInfo": {
                        "fullName": "John Doe",
                        "address": {
                            "location": {
                                "longitude": -118.243683,
                                "latitude": 34.052235
                            },
                            "firstName": "John",
                            "lastName": "Doe",
                            "line1": "123 Main St",
                            "line2": "Apt 4B",
                            "line3": null,
                            "city": "Anytown",
                            "state": "CA",
                            "zip": "90210",
                            "countryCode": "US",
                            "phone": "555-1234",
                            "email": "john.doe@example.com"
                        }
                    },
                    "customerTransactions": [
                        {
                            "total": 200.5,
                            "currencyCode": "USD",
                            "transactionDate": "2024-07-16",
                            "transactionId": "TX12345678",
                            "authorizationCode": "AUTH7890"
                        }
                    ]
                }
            ],
            "items": [
                {
                    "sku": "Accent_Mug-11oz-Blue",
                    "quantity": 2,
                    "images": [
                        {
                            "url": "https://example.com/mug-front.jpg",
                            "thumbnailUrl": "https://example.com/mug-thumbnail.jpg",
                            "area": "Default",
                            "printMethod": null,
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        }
                    ],
                    "options": [
                        {
                            "name": "Size",
                            "value": "11 oz"
                        }
                    ],
                    "customerSubtotal": 20,
                    "customerPrice": 10,
                    "customerShippingPrice": 5,
                    "customerTaxes": 3,
                    "customerDiscountsOrPromotions": 1.5,
                    "clientAttributes": {
                        "occasion": "Birthday gift",
                        "urgency": "high"
                    },
                    "meta": {
                        "designId": "D123456"
                    },
                    "isSample": true,
                    "externalId": "PROD7890123",
                    "skipImgManip": false,
                    "skipSkuValidation": false,
                    "skipImageValidation": false,
                    "fulfillmentReady": false
                },
                {
                    "sku": "bella-3001cvc-solid_red_blend-s",
                    "quantity": 2,
                    "images": [
                        {
                            "url": "https://example.com/t-shirt-front.jpg",
                            "thumbnailUrl": "https://example.com/t-shirt-front-thumbnail.jpg",
                            "area": "Front",
                            "printMethod": "DirectToGarment",
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        },
                        {
                            "url": "https://example.com/t-shirt-back.jpg",
                            "thumbnailUrl": "https://example.com/t-shirt-back-thumbnail.jpg",
                            "area": "Back",
                            "printMethod": "DirectToGarment",
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        },
                        {
                            "url": "https://example.com/t-shirt-label.jpg",
                            "thumbnailUrl": "https://example.com/t-shirt-label-thumbnail.jpg",
                            "area": "Neck Label",
                            "printMethod": "HeatPressNecktags",
                            "ourPrintFileId": null,
                            "ourPrintFileUrl": null,
                            "placementX": null,
                            "placementY": null,
                            "placementScale": null,
                            "placementAngle": null
                        }
                    ],
                    "options": [
                        {
                            "name": "Size",
                            "value": "Small"
                        },
                        {
                            "name": "Color",
                            "value": "Red"
                        }
                    ],
                    "customerSubtotal": 40,
                    "customerPrice": 20,
                    "customerShippingPrice": 5,
                    "customerTaxes": 3,
                    "customerDiscountsOrPromotions": 1.5,
                    "clientAttributes": {
                        "occasion": "Birthday gift",
                        "urgency": "high"
                    },
                    "meta": {
                        "designId": "D78910"
                    },
                    "isSample": true,
                    "externalId": "PROD0090127",
                    "skipImgManip": false,
                    "skipSkuValidation": false,
                    "skipImageValidation": false,
                    "fulfillmentReady": false
                }
            ],
            "allowExternalOrderIdDuplication": false,
            "reprint": null,
            "insert": null,
            "automaticProcessing": true
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "bulk": [
        {
            "status": 0,
            "response": null
        }
    ]
}
Modified at 2026-09-10 16:13:19
Previous
Search for orders based on various criteria and filters.
Next
Retrieve multiple orders
Built with